# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
require 'easy_type'
require 'puppet_x/vulnerability/config'

Facter.add('grype_version') do
  confine :kernel do |value|
    %w[linux windows].include?(value)
  end

  setcode do
    extend Vulnerability::Config

    if File.exist?(grype_binary.to_s)
      data = Facter::Core::Execution.execute("#{grype_binary} version")
      data.match(/^Version:\s*(?<version>\S*)$/)['version']
    else
      'not-installed'
    end
  end
end
