# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
require 'easy_type'

# Simple provider
Puppet::Type.type(:vulnerability_status).provide(:simple) do
  include EasyType::Provider
  case Facter.value(:kernel)
  when 'Linux'
    confine :exists => '/usr/local/etc/vulnerability.conf'
  when 'windows'
    confine :exists => 'c:/Vulnerability/etc/vulnerability.conf'
  end

  desc 'Report Vulnerability status'

  mk_resource_methods
end
