# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:name) do
  include EasyType

  desc <<-DESC
  The name of the status.#{' '}

  vulnerability_status will only process resources where the name is equal to the#{' '}
  fqdn of your system. Resources with an other name will be ignored.

  DESC

  isnamevar

  data_type('String[1]')

  to_translate_to_resource do |_raw_resource|
    Facter.value('fqdn')
  end
end
