# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
module Vulnerability
  # Implementation of puppet function vulnerability::affected_files
  module AffectedFiles
    def self.included(base)
      base.dispatch :affected_files do
        param       'String[1]', :vulnerability_id
        return_type 'Array[Stdlib::Absolutepath]'
      end
    end

    def affected_files(vulnerability_id)
      return [] unless closure_scope.include?('cve_list')

      value = closure_scope['cve_list']&.dig(vulnerability_id, 'locations')
      value ||= []
      value
    end
  end
end
